AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
ControlStreamFileCommand Class
ControlStreamFileCommand Constructor
ControlStreamFileCommand Methods
ControlStreamFileCommand Properties

| ControlStreamFileCommand Class

Plays the given file, allowing playback to be interrupted by the given digits, if any, and allows the listner to control the stream.
If offset is provided then the audio will seek to sample offset before play starts.
Returns 0 if playback completes without a digit being pressed, or the ASCII numerical value of the digit if one was pressed, or -1 on error or if the channel was disconnected.
Remember, the file extension must not be included in the filename.
Available since Asterisk 1.2
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
ControlStreamFileCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ControlStreamFileCommand : AGICommand

    Public Class ControlStreamFileCommand
    	Inherits AGICommand

    public ref class ControlStreamFileCommand : public AGICommand

    type ControlStreamFileCommand =
        class
            inherit AGICommand
        end

The ControlStreamFileCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ControlStreamFileCommand(String) | Creates a new ControlStreamFileCommand, streaming from the beginning. It uses the default digit "#" for forward and "*" for rewind and does not support pausing.
| ControlStreamFileCommand(String, String) | Creates a new ControlStreamFileCommand, streaming from the beginning. It uses the default digit "#" for forward and "*" for rewind and does not support pausing.
| ControlStreamFileCommand(String, String, Int32) | Creates a new ControlStreamFileCommand, streaming from the given offset. It uses the default digit "#" for forward and "*" for rewind and does not support pausing.
| ControlStreamFileCommand(String, String, Int32, String, String, String) | Creates a new ControlStreamFileCommand, streaming from the given offset. It uses the default digit "#" for forward and "*" for rewind and does not support pausing.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| ControlDigits(String, String) | Sets the control digits for fast forward and rewind.
| ControlDigits(String, String, String) | Sets the control digits for fast forward, rewind and pause.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| EscapeDigits | Get/Set the digits that allow the user to interrupt this command or null for none.
| File | Get/Set the name of the file to stream.
| ForwardDigit | Get the digit for fast forward.
| Offset | Get/Set the offset samples to skip before streaming.
| PauseDigit | Get the digit for pause and unpause.
| RewindDigit | Get the digit for rewind.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace